Package org.apache.maven.scm.command.info

## Class InfoScmResult

- java.lang.Object
- - org.apache.maven.scm.ScmResult
  - - org.apache.maven.scm.command.info.InfoScmResult

All Implemented Interfaces:
  `java.io.Serializable`

Direct Known Subclasses:
  `GitInfoScmResult`, `SvnInfoScmResult`

    public class InfoScmResult
    extends ScmResult

Author:
  Kenney Westerhof, Olivier Lamy
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.maven.scm.ScmResult

`PASSWORD_PLACE_HOLDER`

### Constructor Summary

Constructors
`InfoScmResult​(java.lang.String commandLine, java.lang.String providerMessage, java.lang.String commandOutput, boolean success)`
`InfoScmResult​(java.lang.String commandLine, java.util.List<InfoItem> files)`
`InfoScmResult​(java.util.List<InfoItem> infoItems, ScmResult result)`
`InfoScmResult​(ScmResult result)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<InfoItem>` `getInfoItems()`

### Methods inherited from class org.apache.maven.scm.ScmResult

`getCommandLine, getCommandOutput, getProviderMessage, isSuccess`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InfoScmResult

    public InfoScmResult​(java.lang.String commandLine,
                         java.lang.String providerMessage,
                         java.lang.String commandOutput,
                         boolean success)

#### InfoScmResult

    public InfoScmResult​(java.lang.String commandLine,
                         java.util.List<InfoItem> files)

#### InfoScmResult

    public InfoScmResult​(java.util.List<InfoItem> infoItems,
                         ScmResult result)

#### InfoScmResult

    public InfoScmResult​(ScmResult result)

### Method Detail

#### getInfoItems

    public java.util.List<InfoItem> getInfoItems()